Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.svg
Class SVGUserAgent

    java.lang.Object
      org.apache.batik.bridge.UserAgentAdapter
          org.apache.fop.svg.SimpleSVGUserAgent
              org.apache.fop.svg.SVGUserAgent

All Implemented Interfaces:
  org.apache.batik.bridge.UserAgent

public class SVGUserAgent
extends SimpleSVGUserAgent

The SVG user agent. This is an implementation of the Batik SVG user agent.

Field Summary

Fields inherited from class org.apache.batik.bridge.UserAgentAdapter
`ctx, extensions, FEATURES`

Constructor Summary
`SVGUserAgent(FOUserAgent foUserAgent)` Creates a new SVGUserAgent.
`SVGUserAgent(FOUserAgent foUserAgent, java.awt.geom.AffineTransform at)` Creates a new SVGUserAgent.

Method Summary
`void` | `displayError(java.lang.Exception ex)` Displays an error resulting from the specified Exception.
`void` | `displayError(java.lang.String message)` Displays an error message.
`void` | `displayMessage(java.lang.String message)` Displays a message in the User Agent interface.
`java.lang.Exception` | `getLastException()` Returns the last exception sent to the `displayError(Exception)` method.
`void` | `showAlert(java.lang.String message)` Shows an alert dialog box.

Methods inherited from class org.apache.fop.svg.SimpleSVGUserAgent
`getLanguages, getMedia, getPixelUnitToMillimeter, getTransform, getUserStyleSheetURI, getViewportSize, getXMLParserClassName, isXMLParserValidating, setTransform`

Methods inherited from class org.apache.batik.bridge.UserAgentAdapter
`addStdFeatures, checkLoadExternalResource, checkLoadScript, deselectAll, getAlternateStyleSheet, getBolderFontWeight, getBrokenLinkDocument, getClientAreaLocationOnScreen, getDefaultFontFamily, getEventDispatcher, getExternalResourceSecurity, getLighterFontWeight, getMediumFontSize, getPixelToMM, getScriptSecurity, getStandardBolderFontWeight, getStandardLighterFontWeight, handleElement, hasFeature, openLink, registerExtension, runThread, setBridgeContext, setSVGCursor, setTextSelection, showConfirm, showPrompt, showPrompt, supportExtension`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SVGUserAgent

    public SVGUserAgent(FOUserAgent foUserAgent,
                        java.awt.geom.AffineTransform at)

  Creates a new SVGUserAgent.

Parameters:
  `foUserAgent` - the FO user agent to associate with this SVG user agent
  `at` - the current transform

### SVGUserAgent

    public SVGUserAgent(FOUserAgent foUserAgent)

  Creates a new SVGUserAgent.

Parameters:
  `foUserAgent` - the FO user agent to associate with this SVG user agent

Method Detail

### getLastException

    public java.lang.Exception getLastException()

  Returns the last exception sent to the `displayError(Exception)` method.

  Returns:
    the last exception or null if no exception occurred

### displayError

    public void displayError(java.lang.String message)

  Displays an error message.

  Parameters:
    `message` - the message to display

### displayError

    public void displayError(java.lang.Exception ex)

  Displays an error resulting from the specified Exception.

  Parameters:
    `ex` - the exception to display

### displayMessage

    public void displayMessage(java.lang.String message)

  Displays a message in the User Agent interface. The given message is typically displayed in a status bar.

  Parameters:
    `message` - the message to display

### showAlert

    public void showAlert(java.lang.String message)

  Shows an alert dialog box.

  Parameters:
    `message` - the message to display

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.